VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
CClipboard Struct Reference

`#include <cclipboard.h>`

## Static Public Member Functions
static SharedPointer< IDataPackage > | get ()
| get the global clipboard data
static bool | set (const SharedPointer< IDataPackage > &data)
| set the global clipboard data
static Optional< UTF8String > | getString ()
| get the string from the global clipboard if it exists
static Optional< UTF8String > | getFilePath ()
| get the file path from the global clipboard if it exists
static bool | setString (UTF8StringPtr str)
| set the string of the global clipboard
static bool | setFilePath (UTF8StringPtr str)
| set the file path of the global clipboard

## Member Function Documentation

## ◆ get()

SharedPointer< IDataPackage > get | ( |  | ) |
| static

get the global clipboard data

## ◆ getFilePath()

Optional< UTF8String > getFilePath | ( |  | ) |
| static

get the file path from the global clipboard if it exists

## ◆ getString()

Optional< UTF8String > getString | ( |  | ) |
| static

get the string from the global clipboard if it exists

## ◆ set()

bool set | ( | const SharedPointer< IDataPackage > & | data | ) |
| static

set the global clipboard data

## ◆ setFilePath()

bool setFilePath | ( | UTF8StringPtr | str | ) |
| static

set the file path of the global clipboard

## ◆ setString()

bool setString | ( | UTF8StringPtr | str | ) |
| static

set the string of the global clipboard

The documentation for this struct was generated from the following files:

- cclipboard.h
- cclipboard.cpp